
#catalog-information-section {
  background: var(--main-bg-color);
  padding: 18px 16px;
  color: white;
}

@media screen and (min-width: 576px) {
  #catalog-information-section {
    padding: 24px 32px;
  }
}

@media screen and (min-width: 992px) {
  #catalog-information-section {
    padding: 24px 48px;
  }
}

#catalog-information-section .title {
  margin-bottom: 18px;
  font-weight: 600;
  font-size: 24px;
  font-family: var(--font-pixelify-sans);
}

@media screen and (min-width: 576px) {
  #catalog-information-section .title {
    font-size: 28px;
  }
}

@media screen and (min-width: 992px) {
  #catalog-information-section .title {
    font-size: 32px;
  }
}

/* Article */
#catalog-article {
  display: grid;
  grid-template-columns: none;
  gap: 24px;
  width: 100%;
}

@media screen and (min-width: 992px) {
  #catalog-article {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* Left Section (Gallery, Details) */
/* Gallery */
#catalog-left-section .gallery {
  display: flex;
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-shadow: 0px 8px 8px 2px #00000033;
  border: 4px white solid;
  background: lightslategray;
  aspect-ratio: 16 / 9;
  width: 100%;

  overflow-x: scroll;
  overflow-y: hidden;
  scroll-behavior: smooth;
  scroll-snap-type: x mandatory;
  scrollbar-color: #ffffffcc transparent;
  scrollbar-width: thin;
}

#catalog-left-section .gallery .slide {
  display: flex;
  position: relative;
  justify-content: center;
  align-items: center;
  min-width: 100%;
  overflow: hidden;
  scroll-snap-align: start;
}

#catalog-left-section .gallery .slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

#catalog-left-section .gallery .slide .description {
  position: absolute;
  top: 0;
  left: 0;
  align-content: center;
  backdrop-filter: blur(2px);
  background: #00000040;
  width: 100%;
  min-height: 26px;
  color: white;
  font-size: 10px;
  font-family: var(--font-pixelify-sans);
  text-align: center;
}

@media screen and (min-width: 576px) {
  #catalog-left-section .gallery .slide .description {
    font-size: 14px;
  }
}

/* About */
#catalog-left-section .about {
  margin-top: 16px;
  box-shadow: 0px 4px 4px 2px #00000033;
  background: var(--white-bg-color);
  padding: 14px 16px;
}

@media screen and (min-width: 576px) {
  #catalog-left-section .about {
    margin-top: 14px;
  }
}

@media screen and (min-width: 992px) {
  #catalog-left-section .about {
    margin-top: 6px;
  }
}

#catalog-left-section .about .title {
  color: var(--white-bg-paragraph-title-color);
  font-weight: 600;
  font-size: 18px;
  text-decoration: underline;
}

@media screen and (min-width: 576px) {
  #catalog-left-section .about .title {
    font-size: 22px;
  }
}

@media screen and (min-width: 992px) {
  #catalog-left-section .about .title {
    font-size: 24px;
  }
}

#catalog-left-section .about .description {
  color: var(--white-bg-paragraph-content-color);
  font-size: 11px;
}

@media screen and (min-width: 576px) {
  #catalog-left-section .about .description {
    font-size: 13px;
  }
}

@media screen and (min-width: 992px) {
  #catalog-left-section .about .description {
    font-size: 14px;
  }
}

#catalog-left-section .about .description a {
  transition: color 0.25s;
  color: var(--white-bg-paragraph-content-color);
}

#catalog-left-section .about .description a:hover {
  color: var(--white-bg-paragraph-description-color);
}

/* Right Section (Metadata) */

#catalog-right-section,
#catalog-right-section .metadata {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

#catalog-right-section .metadata .header {
  align-content: center;
  background: var(--catalog-item-header-color);
  width: 100%;
  height: fit-content;
  min-height: 32px;
}

#catalog-right-section .metadata .header span {
  padding-left: 16px;
  font-weight: 500;
  font-size: 16px;
  font-family: var(--font-pixelify-sans);
}

@media screen and (min-width: 576px) {
  #catalog-right-section .metadata .header span {
    font-size: 18px;
  }
}

@media screen and (min-width: 992px) {
  #catalog-right-section .metadata .header span {
    font-size: 20px;
  }
}

#catalog-right-section .metadata .content {
  padding: 0 0.75em;
  color: white;
  font-weight: 500;
  font-size: 12px;
}

@media screen and (min-width: 576px) {
  #catalog-right-section .metadata .content {
    font-size: 14px;
  }
}

@media screen and (min-width: 992px) {
  #catalog-right-section .metadata .content {
    font-size: 16px;
  }
}

#catalog-right-section .metadata .content a {
  transition: color 0.25s;
  color: white;
}

#catalog-right-section .metadata .content a:hover {
  color: var(--white-text-hover);
}

#catalog-right-section .metadata .info-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  color: white;
}

#catalog-right-section .metadata .info-grid .label {
  font-weight: 600;
  text-decoration: underline;
}

